<?php

	require_once '../includes/start.php';
	require_once '../includes/function.php';
	require_once '../includes/header1.php';
$fr=$_GET['f'];
$q = mysql_query("SELECT * FROM `fractions` WHERE `id`='".check(mysql_real_escape_string($fr))."'");
$f = mysql_fetch_array($q);
$ucount = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_users` WHERE `uid`='".$use_id."' AND `fid`='".$f['id']."';"), 0);
	if($game==0 OR $level==0 OR $f['id']=='' OR $ucount==0 OR $ban!=0){
   		echo "<title>Доступ закрыт!!!</title>";
	 	echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
	 	echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
		echo '<div class="blok3"><img src="/images/errors.png" width="200px"/></div><div class="blok3"><b>Вы не авторизованный или заблокированный пользователь или вы не достигли условий для доступа на страницу!!!</b><br/><a href="/?sign_in=1"><font color="#4EEE94"><b>Авторизуйтесь</font></a></b> или <a href="/reg.php"><font color="#4EEE94"><b>Зарегистрируйтесь</b></font></a></div>';
   }else{
echo "<title>Новости Альянса</title>";
echo "<script type=\"text/javascript\">createPopup().show( 0, 0, 0, 0, 0 );</script>";
echo "<body oncontextmenu=\"return false;\"><body onselectstart='return false' oncopy='return false'><body onselectstart=\"return false\" oncopy=\"return false\"><body onload=\"digitalWatch()\">";
echo '<div class="razd"></div>';
echo '<div class="top-nav1"><img src="../images/icon/all.png" width="30px" alt="" /> <b>Альянс <font color="#4EEE94">['.$f['name'].']</font> | <font color="#FF0000">Новости</font></b></div>';
echo '<div class="razd"></div>';
	$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `fractions_news` WHERE `fid`='".$f['id']."';"), 0);
	$PAGINGS = new PAGINGS($elem, "SELECT * FROM `fractions_news` WHERE `fid`='".$f['id']."' ORDER BY `id` DESC");
	if($PAGINGS->count_get > 0)
	{
		while($row = mysql_fetch_array($PAGINGS->get))
		{
		$q1 = mysql_query("SELECT * FROM `users` WHERE `id`='".check(mysql_real_escape_string($row['uid']))."'");
		$f1 = mysql_fetch_array($q1);
			echo '<div class="conts">';
			echo '<b>' . $row['news'] . '</b> ['.dates($row['time']).']<br />' . smiles(tags($row['text'])) . '<br/>';
			echo 'Автор: '.rasa($f1['rasa']).' <a href="../p/anketa.php?id='.$f1['id'].'"><span class="'.crasa($f1['rasa']).'">'.$f1['login'].'</span></a>';
			echo '</div>'; 
			++$i;
		}
		if($count>$elem)echo $PAGINGS->Links('?f='.$fr.'&amp;'); // вывод меню навигации в аргументе указывать адрес страницы 
	}
	else
	{
		div('<center>Новостей нет!</center>','window');
	}

echo '<div class="razd"></div><div class="blok"><a href="fraction.php?f='.$f['id'].'"><b>Назад</b></a></div>';
}
	echo '<div class="razd"></div>';
	echo '<center><div class="blok2"><a href="../"><b>На Главную</b></a></div></center>';
	echo '<div class="razd"></div>';
	require_once '../includes/footer1.php';
?>